'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgLaw = function SvgLaw(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Law_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M26.226 64.055a1.064 1.064 0 0 0-1.069 1.069v7.322a.55.55 0 0 0 .341.511q.102.043.214.043h28.595a.55.55 0 0 0 .39-.165.55.55 0 0 0 .165-.39v-7.321a1.06 1.06 0 0 0-1.069-1.069H40.561V13.582h.225a41.8 41.8 0 0 1 14.125 2.358 42.6 42.6 0 0 0 10.281 2.207l.315.025-12.053 27.085a1 1 0 0 0 0 .17v3.56a.964.964 0 0 0 .958.964h22.649a1 1 0 0 0 .37-.075c.221-.1.399-.277.499-.5a1 1 0 0 0 .07-.369v-3.496a.37.37 0 0 0-.04-.18L66.94 18.277h3.046v-1.099a41.7 41.7 0 0 1-14.68-2.377 43.1 43.1 0 0 0-14.48-2.392H40.6V7h-1.073v5.494h-.23a43 43 0 0 0-14.48 2.392 41.7 41.7 0 0 1-14.695 2.372v1.104q1.799.034 3.59-.125l.395-.04L2.004 45.272a1 1 0 0 0 0 .17v3.56a.964.964 0 0 0 .96.964h22.683a.964.964 0 0 0 .959-.964v-3.56a.32.32 0 0 0 0-.196l-11.23-27.144.3-.035a44 44 0 0 0 9.427-2.112 41.5 41.5 0 0 1 14.12-2.357h.23v50.457zm27.527 7.851H26.291V65.21h27.462zm23.183-22.974H54.507v-2.876h22.42zm-51.429-.065H3.077v-2.811h22.42zm51.17-3.855h-21.86L66.1 19.506zm-51.43-.065H3.382l11.345-25.501z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Law_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgLaw;
